Summary:	A C library for portable packet creation.
Summary(ko):	패킷 생성 호환을 위한 C 라이브러리
Name:		libnet
Version:	1.1.6
Release:	1%{?dist}
Epoch:		100
License:	BSD
Group:		System Environment/Libraries
Source0:	http://jaist.dl.sourceforge.net/project/libnet-dev/libnet-%{version}.tar.gz
URL:		http://sourceforge.net/projects/libnet-dev/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Network Library provides a simple API for commonly used low-level
network functions (mainly packet injection). Using libnet, it is easy
to build and write arbitrary network packets. It provides a portable
framework for low-level network packet writing and handling (use
libnet in conjunction with libpcap and you can write some really cool
stuff). Libnet includes packet creation at the IP layer and at the
link layer as well as a host of supplementary and complementary
functionality.

%description -l ko
Libnet 은 네트워크 패킷을 구성하고, 조절하기 위한 API 이다. 이 것은 저수준
네트워크 패킷을 쓰고, 조절하는 것을 통하여 포터블 프레임워크를 제공한다.
Libnet 은 IP 레이어와 link 레이어에 패킷을 생성할 수 있다.

%package devel
Summary: Header and object files for development using libnet
Summary(ko): libnet을 이용하여 개발하기 위한 header 파일과 목적 파일들
Group: system Environment/Libraries
Requires: libnet = %{epoch}:%{version}-%{release}

%description devel
The libnet-devel package contains the header and object files necessary
for developing programs which use the libnet libraries.

%description devel -l ko
libnet-devel 패키지는 libnet 라이브러리를 이용하여 개발을 하기 위한 목적
코드와 헤더 파일들을 포함하고 있다.

%package doc
Summary:	libnet documentation
Group:		Documentation

%description doc
libnet documentation

%description doc -l ko
libnet 문서

%prep
%setup -q

%build
aclocal
#{__autoconf}
%configure
%{__make} CFLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/*
%{_includedir}/libnet
%{_includedir}/libnet.h
%{_bindir}/*-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man*/*

%files doc
%defattr(644,root,root,755)
%doc README doc/CHANGELOG*

%changelog
* Wed Dec  3 2014 JoungKyun.Kim <http://oops.org> 100:1.1.6-1%{?dist}
- update 1.1.6

* Thu Nov 11 2004 JoungKyun.Kim <http://oops.org> 2:1.0.2a-2
- rebuilt

* Wed Aug 13 2003 JoungKyun.Kim <http://oops.org> 1.0.2a-1,1
- first build
